Skip to content

Mandatory Server Maintenance Complete – Tower of Saviors Version 4.5 『Horns of Valkyrie』

Dear Summoners, we thank you for your patience. Tower of Saviors’ mandatory update to Version 4.5 is complete!


Mandatory update to Version 4.5 will be applied. All Summoners must download the latest Version 4.5 to update the game and continue the adventure. Please note that the Guild Instant Chat system will be opened gradually. If Summoners cannot use the Instant Chat function immediately, please try again later.


Details of Version 4.5 『Horns of Valkyrie』:
http://www.towerofsaviors.com/en/?p=4479

Categories

News, Other